search for: my_success

Displaying 4 results from an estimated 4 matches for "my_success".

Did you mean: cmd_success
2001 Feb 16
3
PATCH: make contrib/redhat/sshd.init work with older RH releases
Damien-- Attached is a patch to contrib/redhat/sshd.init which eliminates the dependency on the success() and failure() functions from initscripts>=4.16. This allows sshd.init to be used for both early and recent releases of Red Hat Linux (i've confirmed it works on both 4.2 and 5.2 as well as 6.2). The patch also removes the 'Requires: initscripts >= 4.16' line from
2005 Jun 02
5
[Bug 1051] error: Bind to port 22 on 0.0.0.0 failed: Address already in use.
...nit.d/functions [ -f /etc/sysconfig/sshd ] && . /etc/sysconfig/sshd RETVAL=0 # Einstellungen KEYGEN=/usr/local/ssl/bin/ssh-keygen RSA1_KEY=/usr/local/ssl/etc/ssh_host_key RSA_KEY=/usr/local/ssl/etc/ssh_host_rsa_key DSA_KEY=/usr/local/ssl/etc/ssh_host_dsa_key PID_FILE=/var/run/sshd41.pid my_success() { local msg if [ $# -gt 1 ]; then msg="$2" else msg="done" fi case "`type -type success`" in function) success "$1" ;; *) echo -n "${msg}" ;; esac } my_failure() { local msg if [ $# -gt 1 ]; then...
2001 Feb 18
3
PATCH: Round 2: RH initscripts backward compatibility
...to make the below more readable +sshd_do_rsa1_keygen() { + if [ ! -s "${RSA1_KEY}" ]; then + echo -n $(localized $"Generating SSH1 RSA host key: ") + if "${KEYGEN}" -q -t rsa1 -f "${RSA1_KEY}" -C '' -N '' \ + &>/dev/null + then + my_success $"RSA1 key generation" echo else - failure "RSA1 key generation" + my_failure $"RSA1 key generation" echo exit 1 fi fi } -do_rsa_keygen() { - if ! test -f $RSA_KEY ; then - echo -n "Generating SSH2 RSA host key: " - if $KEYGEN -q -t...
2001 Apr 25
1
RHL init.d/sshd ipv6 hack
.../sshd ] && . /etc/sysconfig/sshd + RETVAL=0 # Some functions to make the below more readable @@ -104,7 +106,7 @@ echo -n "Starting sshd: " if [ ! -f $PID_FILE ] ; then - sshd + sshd $OPTIONS RETVAL=$? if [ "$RETVAL" = "0" ] ; then my_success "sshd startup" "sshd"